<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.18.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Welcome to cflowpy’s documentation! &mdash; cflowpy Jule 2023 documentation</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script src="_static/jquery.js"></script>
        <script src="_static/_sphinx_javascript_frameworks_compat.js"></script>
        <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
        <script src="_static/doctools.js"></script>
        <script src="_static/sphinx_highlight.js"></script>
        <script async="async" src="https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="Installation" href="installation.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >

          
          
          <a href="#" class="icon icon-home">
            cflowpy
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" aria-label="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">cflowpy:</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="tutorial.html">Tutorial</a></li>
<li class="toctree-l1"><a class="reference internal" href="grid.html">Grid</a></li>
<li class="toctree-l1"><a class="reference internal" href="physical_problem.html">Physical Problem</a></li>
<li class="toctree-l1"><a class="reference internal" href="integrator.html">Integrator</a></li>
<li class="toctree-l1"><a class="reference internal" href="system.html">Solving the incompressible Navier-Stokes Equation</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="#">cflowpy</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="#" class="icon icon-home" aria-label="Home"></a></li>
      <li class="breadcrumb-item active">Welcome to cflowpy’s documentation!</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/index.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="welcome-to-cflowpy-s-documentation">
<h1>Welcome to cflowpy’s documentation!<a class="headerlink" href="#welcome-to-cflowpy-s-documentation" title="Permalink to this heading"></a></h1>
<div class="admonition- admonition">
<p class="admonition-title"></p>
<p>This python package has the purpose of
<strong>predicting the flow of an incompressible fluid</strong>.
It aims to compute the velocity and the pressure field.</p>
</div>
<div class="line-block">
<div class="line">To predict the flow of an incompressible fluid this package
package provides a solver for the <strong>incompressible Navier-Stokes equation</strong>
in the momentum form.</div>
<div class="line">The purpose is to solve this with <strong>Chorins Projection method.</strong></div>
<div class="line">The following Equation is solved</div>
</div>
<div class="math notranslate nohighlight">
\[\frac{\partial u}{\partial t} + (u \cdot \nabla)u =
-\frac{1}{\rho} \nabla p + \nu \nabla^2 u + g\]</div>
<div class="line-block">
<div class="line">With the additional constraint ∇ • u = 0 for Incompressibility.</div>
<div class="line">In Terms of variables we talk about the flow velocity for u[<span class="math notranslate nohighlight">\(\frac{mm}{s}\)</span>],
the time for t:math:<cite>[s]</cite>, the density for <span class="math notranslate nohighlight">\(\rho\)</span> [<span class="math notranslate nohighlight">\(\frac{kg}{mm^3}\)</span>],
the pressure for p[<span class="math notranslate nohighlight">\(\frac{kg}{mm\cdot s^2}\)</span>],
the kinematic viscosity for <span class="math notranslate nohighlight">\(\nu\)</span> [cSt = <span class="math notranslate nohighlight">\(\frac{mm^2}{s}\)</span>]
and body accelerations for g[<span class="math notranslate nohighlight">\(\frac{mm}{s^2}\)</span>].</div>
</div>
<div class="line-block">
<div class="line">In this library g is set to zero.</div>
<div class="line">The velocity field <span class="math notranslate nohighlight">\(\pmb{u}\)</span> has 2 dimensions, the velocity in x-direction
as well as the velocity in y-direction.</div>
<div class="line">In this package we use a common definition for this and work with u as the velocity
in x-direction and v as the velocity in y-direction.</div>
</div>
</section>
<section id="the-method">
<h1>The method<a class="headerlink" href="#the-method" title="Permalink to this heading"></a></h1>
<div class="line-block">
<div class="line">Chorin’s projection method is a rather simple algorithm to solve
the incompressible Navier-Stokes equation.</div>
<div class="line">This algorithm is a splitted Algorithm.</div>
<div class="line">First, the an intermediate velocity is computed
and only viscous forces are taken into account.</div>
<div class="line">Second, the velocity is updated in time by taking pressure
forces into account.</div>
<div class="line">To do so, it is needed to solve a Poisson-Equation.</div>
<div class="line">Chorin’s projection method is an iterativ method.</div>
<div class="line">We repeat the two steps above very often to finally reach a stable case
where the velocity fields and pressure field do change very little.</div>
</div>
<div class="toctree-wrapper compound">
</div>
</section>
<section id="indices">
<h1>Indices<a class="headerlink" href="#indices" title="Permalink to this heading"></a></h1>
<ul class="simple">
<li><p><a class="reference internal" href="genindex.html"><span class="std std-ref">Index</span></a></p></li>
</ul>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="installation.html" class="btn btn-neutral float-right" title="Installation" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2023, Jan Habscheid.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>